 /*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

// CLASS HEADER
#include "renderer-string-constants.h"

namespace Dali
{

namespace Toolkit
{

namespace Internal
{

const char * const RENDERER_TYPE("rendererType");
const char * const COLOR_RENDERER("color");
const char * const BORDER_RENDERER("border");
const char * const GRADIENT_RENDERER("gradient");
const char * const IMAGE_RENDERER("image");
const char * const MESH_RENDERER("mesh");

const char * const IMAGE_URL_NAME("url");
const char * const ATLAS_RECT_UNIFORM_NAME ( "uAtlasRect" );
const char * const COLOR( "color" );

//Mesh properties
const char * const OBJECT_URL( "objectUrl" );
const char * const MATERIAL_URL( "materialUrl" );
const char * const TEXTURES_PATH( "texturesPath" );
const char * const SHADER_TYPE( "shaderType" );
const char * const USE_MIPMAPPING( "useMipmapping" );

} // namespace Internal

} // namespace Toolkit

} // namespace Dali
